(function() {
	var index = 1;
	var size = null;
	var imageIndexIdNum = 0;
	var starIndex = 0;
	var feedback = {
		question: document.getElementById('question'), 
		contact: document.getElementById('contact'), 
		imageList: document.getElementById('image-list'),
		submitBtn: document.getElementById('submit')
	};
	var url = urlConfig.commentSubmit;
	feedback.files = [];
	var imgFiles = [];
	var imgAllFiles = [];
	var liIndex;
	feedback.uploader = null;  
	feedback.deviceInfo = null; 
	var token = localStorage.getItem("token");
	var orderids;
	var currentWebviews;
	mui.plusReady(function() {
		currentWebviews = plus.webview.currentWebview();
		orderids = getParamsByUrl().id;
		//设备信息，无需修改
		feedback.deviceInfo = {
			appid: plus.runtime.appid, 
			imei: plus.device.imei, //设备标识
			images: feedback.files, //图片文件
			p: mui.os.android ? 'a' : 'i', //平台类型，i表示iOS平台，a表示Android平台。
			md: plus.device.model, //设备型号
			app_version: plus.runtime.version,
			plus_versin: plus.runtime.innerVersion, //基座版本号
			os:  mui.os.version,
			net: ''+plus.networkinfo.getCurrentType()
		}
	});
	/**
	 *提交成功之后，恢复表单项 
	 */
	feedback.clearForm = function() {
		feedback.question.value = '';
		feedback.imageList.innerHTML = '';
		feedback.newPlaceholder();
		feedback.files = [];
		index = 0;
		size = 0;
		imageIndexIdNum = 0;
		starIndex = 0;
		//清除所有星标
		mui('.icons i').each(function (index,element) {
			if (element.classList.contains('mui-icon-star-filled')) {
				element.classList.add('mui-icon-star')
	  			element.classList.remove('mui-icon-star-filled')
			}
		})
	};
	feedback.getFileInputArray = function() {
		return [].slice.call(feedback.imageList.querySelectorAll('.file'));
	};
	feedback.addFile = function(path) {
		feedback.files.push({name:"file",path:path});
		index++;
	};
	/**
	 * 初始化图片域占位
	 */
	feedback.newPlaceholder = function() {
		var fileInputArray = feedback.getFileInputArray();
		if (fileInputArray &&
			fileInputArray.length > 0 &&
			fileInputArray[fileInputArray.length - 1].parentNode.classList.contains('space')) {
			return;
		};
		imageIndexIdNum++;
		var placeholder = document.createElement('li');
		placeholder.setAttribute('class', 'image-item space');
		//删除图片
		var closeButton = document.createElement('div');
		closeButton.setAttribute('class', 'image-close');
		closeButton.innerHTML = 'X';
		//小X的点击事件
		closeButton.addEventListener('tap', function(e) {
			var event = e || window.event;
            var target  = event.target || event.srcElement;
            if(target.nodeName.toLowerCase() != 'li' || target.nodeName.toLowerCase() != 'ul'){
		　 　　　　　   //获取元素的父元素
				var parentLi = target.parentElement;
		        liIndex = Array.prototype.indexOf.call(parentLi.parentNode.children, parentLi);
		        mui.ajax(urlConfig.deleteImg, {
					type: "post", //设置ajax方法提交数据的形式
					dataType:'json',
					data: {
						token: token,
						file: imgAllFiles[liIndex]
					},
					success: function(msg) {
						console.log("(删除结果)"+JSON.stringify(msg));
						if(msg.error == 0){
							imgAllFiles.splice(liIndex,1);
							imgFiles.splice(liIndex,1);
							feedback.files.splice(liIndex,1);
						}else{
							mui.toast(msg.message);
						}
					},
					error: function(msg){
						plus.nativeUI.toast("服务器连接失败！请检查网络...");
					}
				})
		　　　}
			
			setTimeout(function() {
				feedback.imageList.removeChild(placeholder);
			}, 0);
			return false;
		}, false);

		var fileInput = document.createElement('div');
		fileInput.setAttribute('class', 'file');
		fileInput.setAttribute('id', 'image-' + imageIndexIdNum);
		fileInput.addEventListener('tap', function(event) {
			var self = this;
			var index = (this.id).substr(-1);
			
			plus.gallery.pick(function(e) {
				//console.log("event:"+e);
				var name = e.substr(e.lastIndexOf('/') + 1);
				//console.log("name:"+name);
					
				plus.zip.compressImage({
					src: e,
					dst: '_doc/' + name,
					overwrite: true,
					quality: 50
				}, function(zip) {
					size += zip.size  
					console.log("filesize:"+zip.size+",totalsize:"+size);
					if (size > (10*1024*1024)) {
						return mui.toast('文件超大,请重新选择~');
					}
					if (!self.parentNode.classList.contains('space')) { //已有图片
						feedback.files.splice(index-1,1,{name:"file",path:e});
					} else { //加号
						placeholder.classList.remove('space');
						feedback.addFile(zip.target);
						feedback.newPlaceholder();
					}
					placeholder.style.backgroundImage = 'url(' + zip.target + ')';
					upload();
				}, function(zipe) {
					mui.toast('压缩失败！')
				});
				

				
			}, function(e) {
				//mui.toast(e.message);
			},{});
		}, false);
		placeholder.appendChild(closeButton);
		placeholder.appendChild(fileInput);
		feedback.imageList.appendChild(placeholder);
	};
	feedback.newPlaceholder();
	feedback.submitBtn.addEventListener('tap', function(event) {
		if(starIndex == 0){
			return mui.toast('请填选择星级评分');
		}
		if (feedback.question.value == '') {
			return mui.toast('请填写评价内容');
		}
		if (feedback.question.value.length > 200) {
			return mui.toast('信息超长,请重新填写~')
		}
		//判断网络连接
		if(plus.networkinfo.getCurrentType()==plus.networkinfo.CONNECTION_NONE){
			return mui.toast("连接网络失败，请稍后再试");
		}
		
		var array1 = [];
		
		array1.push({
			"goodsid": mui("#myca")[0].value,
			"level": starIndex,
			"content": feedback.question.value,
			"images": imgFiles
		})
		
		mui.ajax(urlConfig.commentSubmit, {
			type: "post", //设置ajax方法提交数据的形式
			dataType:'json',
			data: {
				token: token,
				orderid: orderids,
				comments: array1
			},
			success: function(msg) {
				console.log("(提交结果)"+JSON.stringify(msg));
				if(msg.error == 0){
					mui.fire(plus.webview.getWebviewById('order/my-order-tab.html'), 'relsdss');
					mui.alert("感谢评价，点击确定关闭","商品评价","确定",function () {
						feedback.clearForm();
						mui.back();
					});
				}else{
					mui.toast(msg.message);
				}
			},
			error: function(msg){
				plus.nativeUI.toast("服务器连接失败！请检查网络...");
			}
		})
	}, false)
	
	// 上传文件
	function upload(){
		if(feedback.files.length<=0){
			plus.nativeUI.alert("没有添加上传文件！");
			return;
		}
		var wt=plus.nativeUI.showWaiting();
		var task=plus.uploader.createUpload(urlConfig.uploader,
			{method:"POST"},
			function(t,status){ //上传完成
				console.log("上传结果"+t.responseText)
				plus.nativeUI.closeWaiting();
				var msg = JSON.parse(t.responseText)
				if(msg.error == 0){
					console.log("上传成功："+t.responseText);
					console.log("(返回图片名称)"+msg.files[0].filename)
					imgFiles.push(msg.files[0].filename);
					imgAllFiles.push(msg.files[0].url);
				}else{
					mui.toast(msg.message)
				}
			}
		);
		task.addData("file",feedback.files[index-2]); 

		task.addFile(feedback.files[index-2].path,{key:feedback.files[index-2].name});

		task.start();
	}
		
	
	 //应用评分
	 mui('.icons').on('tap','i',function(){
	  	var index = parseInt(this.getAttribute("data-index"));
	  	var parent = this.parentNode;
	  	var children = parent.children;
	  	if(this.classList.contains("mui-icon-star")){
	  		for(var i=0;i<index;i++){
  				children[i].classList.remove('mui-icon-star');
  				children[i].classList.add('mui-icon-star-filled');
	  		}
	  	}else{
	  		for (var i = index; i < 5; i++) {
	  			children[i].classList.add('mui-icon-star')
	  			children[i].classList.remove('mui-icon-star-filled')
	  		}
	  	}
	  	starIndex = index;
  });
  	//选择快捷输入
	mui('.mui-popover').on('tap','li',function(e){
	  document.getElementById("question").value = document.getElementById("question").value + this.children[0].innerHTML;
	  mui('.mui-popover').popover('toggle')
	}) 
})();